Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development

Reply
Developer
jtegen
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon
Accepted Solution

Urgent: Upgrade BB10 SDK B3 install crashes Flash Builder

[ Edited ]

I just upgraded another site with beta 3 of the AIR SDK for Flash Builder (4.6).  Now Flash Builder crashes with an alert that points me to a log file.  The log file is long, but the tail end has this:

 

!MESSAGE Missing required bundle org.eclipse.mylyn.context.core_[3.8.0,4.0.0).
!SUBENTRY 2 org.eclipse.mylyn.team.ui 2 0 2012-10-04 12:11:29.426
!MESSAGE Missing required bundle org.eclipse.mylyn.context.ui_[3.8.0,4.0.0).
!SUBENTRY 2 org.eclipse.mylyn.team.ui 2 0 2012-10-04 12:11:29.426
!MESSAGE Missing required bundle org.eclipse.mylyn.resources.ui_[3.8.0,4.0.0).
!SUBENTRY 2 org.eclipse.mylyn.team.ui 2 0 2012-10-04 12:11:29.426
!MESSAGE Missing required bundle org.eclipse.mylyn.tasks.core_[3.8.0,4.0.0).
!SUBENTRY 2 org.eclipse.mylyn.team.ui 2 0 2012-10-04 12:11:29.426
!MESSAGE Missing required bundle org.eclipse.mylyn.tasks.ui_[3.8.0,4.0.0).
!SUBENTRY 2 org.eclipse.mylyn.team.ui 2 0 2012-10-04 12:11:29.426
!MESSAGE Missing required bundle org.eclipse.mylyn.commons.ui_[3.8.0,4.0.0).
!SUBENTRY 2 org.eclipse.mylyn.team.ui 2 0 2012-10-04 12:11:29.426
!MESSAGE Missing required bundle org.eclipse.mylyn.commons.workbench_[3.8.0,4.0.0).
!SUBENTRY 2 org.eclipse.mylyn.team.ui 2 0 2012-10-04 12:11:29.426
!MESSAGE Missing required bundle org.eclipse.mylyn.monitor.core_[3.8.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-10-04 12:11:29.426
!MESSAGE Bundle com.qnx.flashbuilder.multiplatform.qnx.ui_2.0.0.201209241107 [1125] was not resolved.
!SUBENTRY 2 com.qnx.flashbuilder.multiplatform.qnx.ui 2 0 2012-10-04 12:11:29.426
!MESSAGE Missing required bundle com.adobe.flashbuilder.project.multiplatform.ui_[4.6.0,5.0.0).
!SUBENTRY 2 com.qnx.flashbuilder.multiplatform.qnx.ui 2 0 2012-10-04 12:11:29.426
!MESSAGE Missing required bundle com.adobe.flexbuilder.project.ui_[4.6.0,5.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-10-04 12:11:29.426
!MESSAGE Bundle com.qnx.flashbuilder.multiplatform.qnx.ui.nl1_2.0.0.201209241107 [1126] was not resolved.
!SUBENTRY 2 com.qnx.flashbuilder.multiplatform.qnx.ui.nl1 2 0 2012-10-04 12:11:29.426
!MESSAGE Missing host com.qnx.flashbuilder.multiplatform.qnx.ui_2.0.0.

!ENTRY org.eclipse.osgi 4 0 2012-10-04 12:11:29.427
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: Application "com.adobe.flexbuilder.standalone.FlashBuilderApplication" could not be found in the registry. The applications available are: org.eclipse.ant.core.antRunner, org.eclipse.ant.ui.antRunner, org.eclipse.equinox.app.error, org.eclipse.equinox.p2.director, org.eclipse.equinox.p2.garbagecollector.application, org.eclipse.equinox.p2.publisher.InstallPublisher, org.eclipse.equinox.p2.publisher.EclipseGenerator, org.eclipse.equinox.p2.publisher.ProductPublisher, org.eclipse.equinox.p2.publisher.FeaturesAndBundlesPublisher, org.eclipse.equinox.p2.reconciler.application, org.eclipse.equinox.p2.repository.repo2runnable, org.eclipse.equinox.p2.repository.metadataverifier, org.eclipse.equinox.p2.artifact.repository.mirrorApplication, org.eclipse.equinox.p2.metadata.repository.mirrorApplication, org.eclipse.equinox.p2.updatesite.UpdateSitePublisher, org.eclipse.equinox.p2.publisher.UpdateSitePublisher, org.eclipse.equinox.p2.publisher.CategoryPublisher, org.eclipse.help.base.infocenterApplication, org.eclipse.help.base.helpApplication, org.eclipse.help.base.indexTool, org.eclipse.jdt.apt.core.aptBuild, org.eclipse.jdt.core.JavaCodeFormatter, org.eclipse.ui.ide.workbench, org.eclipse.update.core.standaloneUpdate, org.eclipse.update.core.siteOptimizer.
	at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:248)
	at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1410)

How can I get this fix so I can run Flash Builder again?

Does someone have a link to beta 2, so at least I can continue to work?

 

Thanks.

Please use plain text.
BlackBerry Development Advisor (Retired)
dmalik
Posts: 427
Registered: ‎02-22-2012
My Device: BlackBerry Z10, BlackBerry Dev Alpha C, BlackBerry PlayBook
My Carrier: Bell

Re: Urgent: Upgrade BB10 SDK B3 install crashes Flash Builder

[ Edited ]

Hey,

 

I haven't seen this issue but I'm going to inform the tools and testing teams right away. Did this happen right after the SDK install? 

 

Dustin

Follow me on Twitter: @dustinmalik
-----------------------------------------------------------------------------------------------------
Keep up to date on BlackBerry development: http://devblog.blackberry.com/
Please use plain text.
Developer
jtegen
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon

Re: Urgent: Upgrade BB10 SDK B3 install crashes Flash Builder

Yes, and FlashBuilder wont run at all. Gets to the splash screen and then quits (with dialog to follow). I need to back out the SDK or go back to a previous version since I cannot get anything done at this point.
Please use plain text.
BlackBerry Development Advisor (Retired)
dmalik
Posts: 427
Registered: ‎02-22-2012
My Device: BlackBerry Z10, BlackBerry Dev Alpha C, BlackBerry PlayBook
My Carrier: Bell

Re: Urgent: Upgrade BB10 SDK B3 install crashes Flash Builder

What OS do you use and what other versions of the SDK do you have installed?

Follow me on Twitter: @dustinmalik
-----------------------------------------------------------------------------------------------------
Keep up to date on BlackBerry development: http://devblog.blackberry.com/
Please use plain text.
Developer
jtegen
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon

Re: Urgent: Upgrade BB10 SDK B3 install crashes Flash Builder

Win 7, SDK 3, beta 3. Beta 2 worked fine.
Please use plain text.
BlackBerry Development Advisor (Retired)
dmalik
Posts: 427
Registered: ‎02-22-2012
My Device: BlackBerry Z10, BlackBerry Dev Alpha C, BlackBerry PlayBook
My Carrier: Bell

Re: Urgent: Upgrade BB10 SDK B3 install crashes Flash Builder

The update worked fine for me on Windows 7 updrading from Beta 2 to Beta 3. Our testing team also verified that it worked for them. 

 

It does appear though that something got corrupted in Flash Builder from the update. Right now we're trying to reproduce this issue but until we do there really isn't much we can do other than suggest a clean install.

 

Best approach is to:

 - Uninstall Flash Builder

 - Delete the Flash Builder folder

 - Reinstall Flash Builder

 - Install SDK

 

Hopefully a fresh install with the Beta 3 SDK will work.

 

I apologize for the hassle. 

Follow me on Twitter: @dustinmalik
-----------------------------------------------------------------------------------------------------
Keep up to date on BlackBerry development: http://devblog.blackberry.com/
Please use plain text.
Developer
jtegen
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon

Re: Urgent: Upgrade BB10 SDK B3 install crashes Flash Builder

I will give that a shot. If it helps, I had Flash Builder open during the installation.
Please use plain text.
Developer
jtegen
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon

Re: Urgent: Upgrade BB10 SDK B3 install crashes Flash Builder

Good way to spend a half a day. Reinstalling resolved the issue.
Please use plain text.
BlackBerry Development Advisor (Retired)
dmalik
Posts: 427
Registered: ‎02-22-2012
My Device: BlackBerry Z10, BlackBerry Dev Alpha C, BlackBerry PlayBook
My Carrier: Bell

Re: Urgent: Upgrade BB10 SDK B3 install crashes Flash Builder

Glad to hear you got it working. 

 

The testing team also tried leaving Flash Builder open and installing the SDK and it still worked for us. Unfortunately we were unable to reproduce the error. That being said it is best practice to close down running applications when installing software. 

Follow me on Twitter: @dustinmalik
-----------------------------------------------------------------------------------------------------
Keep up to date on BlackBerry development: http://devblog.blackberry.com/
Please use plain text.